/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2016 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
SET SCAN OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK



DECLARE 

  e_dir_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_dir_exists, -31003);

  e_does_not_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_does_not_exists , -31001);

  result boolean;
  
BEGIN

  BEGIN

    result := DBMS_XDB.createfolder('/public/xxas/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/view/');

  EXCEPTION
    WHEN e_dir_exists THEN
      NULL;
  END;

  
  BEGIN

    DBMS_XDB.DeleteResource('/public/xxas/emp/view/note.xml');

  EXCEPTION
    WHEN e_does_not_exists THEN
      NULL;
  END;

  
  result := DBMS_XDB.createresource('/public/xxas/emp/view/note.xml',
'<View submitLabel="{message.XXAS_RB_COM_SAVE}" title="Note" defaultFormHandler="xxas_note_pkg.post_note">

  <EditFields>
      <Hidden id="ASSIGNMENT_ID"/>
      <Hidden id="NOTE_ID"/>
      <Poplist id="TYPE_CODE" label="Type" required="true" listProvider="REST:note-types/by-job/${field.ASSIGNMENT_ID}"/>    
      <TextArea id="CONTENT" label="Note" maxChars="3965" required="true"/>
      <Date id="REMINDER_DATE" label="{message.XXAS_RB_NOTE_REM_DTE}" enabled="true" required="false"/>
  </EditFields>

</View>' ); 
xxas_forms_pkg.update_forms_resource('/public/xxas/emp/view/note.xml');
END;
/
COMMIT;
EXIT;
